Archived

This topic is now archived and is closed to further replies.

  • 0

magic quotes bad


Question

Posted · Report post

hi all. in my debug it says i have 'magic quotes' enabled and the word bad is in there.

 

what does it mean? should i do something? thanks.

post-45885-0-48647400-1361228248_thumb.p

Share this post


Link to post
Share on other sites

6 answers to this question

Posted · Report post

will do. i feel like i won something today. thanks again!

Share this post


Link to post
Share on other sites

Posted · Report post

http://php.net/manual/en/security.magicquotes.php

Because PHP magic quotes were deprecated in 5.3 and totally removed in 5.4

 

Lates versions are 5.4.11 and 5.3.21

 

Your server is using a rather ancient version 5.2.

 

Sometimes in your host control panel you can select PHP versions.

 

The reason its bad is a lot of plugin authors use really really old copy+pasted code that relies on magic quotes being enabled, so when you switch to a modern version of php the plugin goes kaboom ;)

 

If you are able to switch versions and 5.4 is selectable, try it out it uses about a quarter of the memory that 5.2 used.

1 person likes this

Share this post


Link to post
Share on other sites

Posted · Report post

thank you, simon. i'm off to see about  that right now. pls don't close topic yet. thanks again.

Share this post


Link to post
Share on other sites

Posted · Report post

We won't close it, but don't reply till you're really ready.

Share this post


Link to post
Share on other sites

Posted · Report post

oh, this is great! so, i had a choice of PHP 5.4 and  PHP 5.4 (Single php.ini)

 

 

because the tech guy said (6:46:56pm) Derek W.: "Go with the single ini"
 
is that right? thank you very much.

Share this post


Link to post
Share on other sites

Posted · Report post

I have no idea what he means by single ini, must be the way they have it setup, go with what he says ;)

Share this post


Link to post
Share on other sites